Bulk action on monitors
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"monitorIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
],
"frequencySeconds": 43205,
"overlay": {
"reason": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/bulk"
payload = {
"monitorIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
],
"frequencySeconds": 43205,
"overlay": {
"reason": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
monitorIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
newTags: [{name: '<string>', color: '<string>'}],
frequencySeconds: 43205,
overlay: {reason: '<string>', expiresAt: '2023-11-07T05:31:56Z'}
})
};
fetch('https://api.devhelm.io/api/v1/monitors/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'monitorIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'tagIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'newTags' => [
[
'name' => '<string>',
'color' => '<string>'
]
],
'frequencySeconds' => 43205,
'overlay' => [
'reason' => '<string>',
'expiresAt' => '2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/bulk"
payload := strings.NewReader("{\n \"monitorIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"frequencySeconds\": 43205,\n \"overlay\": {\n \"reason\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devhelm.io/api/v1/monitors/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"monitorIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"frequencySeconds\": 43205,\n \"overlay\": {\n \"reason\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"monitorIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"frequencySeconds\": 43205,\n \"overlay\": {\n \"reason\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"succeeded": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"failed": [
{
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"code": "<string>"
}
]
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Monitors
Bulk action on monitors
Applies PAUSE, RESUME, DELETE, ADD_TAG, REMOVE_TAG, UPDATE_SCHEDULE, or RUN to a list of monitors. Returns a partial-success response indicating which monitors succeeded and which failed.
POST
/
api
/
v1
/
monitors
/
bulk
Bulk action on monitors
curl --request POST \
--url https://api.devhelm.io/api/v1/monitors/bulk \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"monitorIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"tagIds": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
],
"frequencySeconds": 43205,
"overlay": {
"reason": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
'import requests
url = "https://api.devhelm.io/api/v1/monitors/bulk"
payload = {
"monitorIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"tagIds": ["3c90c3cc-0d44-4b50-8888-8dd25736052a"],
"newTags": [
{
"name": "<string>",
"color": "<string>"
}
],
"frequencySeconds": 43205,
"overlay": {
"reason": "<string>",
"expiresAt": "2023-11-07T05:31:56Z"
}
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
monitorIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
tagIds: ['3c90c3cc-0d44-4b50-8888-8dd25736052a'],
newTags: [{name: '<string>', color: '<string>'}],
frequencySeconds: 43205,
overlay: {reason: '<string>', expiresAt: '2023-11-07T05:31:56Z'}
})
};
fetch('https://api.devhelm.io/api/v1/monitors/bulk', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.devhelm.io/api/v1/monitors/bulk",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "POST",
CURLOPT_POSTFIELDS => json_encode([
'monitorIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'tagIds' => [
'3c90c3cc-0d44-4b50-8888-8dd25736052a'
],
'newTags' => [
[
'name' => '<string>',
'color' => '<string>'
]
],
'frequencySeconds' => 43205,
'overlay' => [
'reason' => '<string>',
'expiresAt' => '2023-11-07T05:31:56Z'
]
]),
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: application/json"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.devhelm.io/api/v1/monitors/bulk"
payload := strings.NewReader("{\n \"monitorIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"frequencySeconds\": 43205,\n \"overlay\": {\n \"reason\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
req, _ := http.NewRequest("POST", url, payload)
req.Header.Add("Authorization", "Bearer <token>")
req.Header.Add("Content-Type", "application/json")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.post("https://api.devhelm.io/api/v1/monitors/bulk")
.header("Authorization", "Bearer <token>")
.header("Content-Type", "application/json")
.body("{\n \"monitorIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"frequencySeconds\": 43205,\n \"overlay\": {\n \"reason\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n }\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.devhelm.io/api/v1/monitors/bulk")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n \"monitorIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"tagIds\": [\n \"3c90c3cc-0d44-4b50-8888-8dd25736052a\"\n ],\n \"newTags\": [\n {\n \"name\": \"<string>\",\n \"color\": \"<string>\"\n }\n ],\n \"frequencySeconds\": 43205,\n \"overlay\": {\n \"reason\": \"<string>\",\n \"expiresAt\": \"2023-11-07T05:31:56Z\"\n }\n}"
response = http.request(request)
puts response.read_body{
"data": {
"succeeded": [
"3c90c3cc-0d44-4b50-8888-8dd25736052a"
],
"failed": [
{
"monitorId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"reason": "<string>",
"code": "<string>"
}
]
}
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}{
"status": 404,
"code": "NOT_FOUND",
"category": "not_found",
"message": "Monitor not found",
"timestamp": 1737302400000,
"requestId": "5b6f7a8c-1234-4d5e-9f0a-1b2c3d4e5f6a"
}Headers
Body
application/json
Request body for performing a bulk action on multiple monitors